<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/income_reason.php';

date_default_timezone_set('Asia/Rangoon'); 
session_start();

$database = new Database();
$db = $database->getConnection();
 
$income_reason = new IncomeReason($db);
$data = json_decode(file_get_contents("php://input"));
	
$income_reason->income_reason = $data->income_reason;

if($income_reason->exist()){
	$arr = array(
		"message" => "duplicate"
	);
}else{
	if($income_reason->create()){
		$arr = array(
			"message" => "created"
		);
	}else{
		$arr = array(
			"message" => "error"
		);
	}
}
echo json_encode($arr);
?>